<div class="container">
	<mat-accordion>
		<mat-expansion-panel *ngFor="let group of groups">
			<mat-expansion-panel-header>
				<mat-panel-title>
					<div class="header-title">{{group.name}}</div>
				</mat-panel-title>
				<mat-panel-description>
					<div class="header-description">{{group.numMembers}} members</div>
				</mat-panel-description>
			</mat-expansion-panel-header>
			<div class="panel-content">
					Description: {{group.description}}
			</div>
			<mat-action-row>
				<button mat-raised-button color="primary" (click)="joinGroup(group.id, $event.target)" *ngIf="isLoggedIn">Join</button>
			</mat-action-row>
		</mat-expansion-panel>
	</mat-accordion>
</div>
